Subject: Re: [Linux-IrDA]IrDA speed w/LinuxPPC: again [long, sorry]

From: "Garst R. Reese" <[email-masked]>
Date: Thu, 21 Sep 2000 10:50:25 -0300

Albrecht Dreß wrote:
>
> I still had no success in changing the speed of the IrDA if on my Apple
> PowerBook 1999 with Linux2.2.17pre20-ben3. To understand better what goes on, I
> enabled all debugging in the macserial and irda drivers, adding/expanding some
> more messages to the latter ones.
>
> I first successfully tried to change the speed of the serial device to 115.2
> kBd:
[snip the long story]
>
> Any help or comment on this is really welcome!
>
> Thanks in advance, Albrecht.
>
Part of what you are seeing is the working of the IrDA spec. Everything
starts at 9600baud to negotiate a connection. Part of this negotiation
is the speed it will switch to when a connection is established. This
appears to to be working. It is pointless to preset your tty speed. I
don't know where the cmd garbage is coming from.
Garst

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/